Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007393TestLinkBug Tracking System - JIRA Integrationpublic2015-12-18 16:192016-09-08 15:13
Reportervincent.morin 
Assigned Tofman 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
Platformtests vxlOSLinux RHELOS Version6.5
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007393: Issue Tracker JIRA REST check connexion twice
DescriptionWhen issue tracking system init a connexion to jira by rest I have seen the test was done twice. I guess that could be avoided.

read lib/issuetrackerintegration/jirarestInterface.class.php
near line 120
    function connect()
    {
...
      $this->connected = $this->APIClient->testLogin();
      if($this->APIClient->testLogin() && ($this->cfg->projectkey != self::NOPROJECTKEY))

Here $this->APIClient->testLogin() is called twice.

I suggest to change the line 135 like:
      if($this->connected && ($this->cfg->projectkey != self::NOPROJECTKEY))


Thanks.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.6
Browser
PHP Version5.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024373)
fman (administrator)
2015-12-18 16:54

OK; thanks will check
(0025296)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-12-18 16:19 vincent.morin New Issue
2015-12-18 16:54 fman Note Added: 0024373
2015-12-19 12:23 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-12-19 12:23 fman Status new => resolved
2015-12-19 12:23 fman Fixed in Version => 1.9.15 (2015 Q4)
2015-12-19 12:23 fman Resolution open => fixed
2015-12-19 12:23 fman Assigned To => fman
2015-12-19 12:23 fman Relationship added child of 0007262
2016-09-08 15:13 fman Note Added: 0025296
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker